<template>
  <section>
    <b-navbar id="mainIndexNav" class="navbar-expand-lg navbar-light fixed-top">
      <div class="container">
        <b-navbar-brand to="/">Íris</b-navbar-brand>
        <b-navbar-toggle target="nav_dropdown_collapse"/>
        <b-collapse id="nav_dropdown_collapse" is-nav>
          <b-navbar-nav class="ml-auto">
            <b-nav-item-dropdown>
              <template slot="button-content">
                Equipamentos
              </template>
              <b-dropdown-item to="/busca">
                Buscar Equipamento
              </b-dropdown-item>
              <b-dropdown-item to="/cadastro/equipamento">
                Cadastrar Equipamento
              </b-dropdown-item>
            </b-nav-item-dropdown>
            <b-nav-item-dropdown>
              <template slot="button-content">
                Centrais
              </template>
              <b-dropdown-item to="/cadastro/central">
                Cadastrar Central
              </b-dropdown-item>
              <b-dropdown-item>
                Minhas Centrais
              </b-dropdown-item>
            </b-nav-item-dropdown>
            <b-nav-item-dropdown v-if="isLogged">
              <template slot="button-content">
                {{ user.name }}
              </template>
              <b-dropdown-item>
                Perfil
              </b-dropdown-item>
              <b-dropdown-item @click="logout">
                Logout
              </b-dropdown-item>
            </b-nav-item-dropdown>
            <b-nav-item v-else to="/login">
              Login
            </b-nav-item>
          </b-navbar-nav>
        </b-collapse>
      </div>
    </b-navbar>
  </section>

</template>

<script>
const mainIndexNav = document.querySelector("#mainIndexNav");
console.log(mainIndexNav);

export default {
  name: "TheIndexNavbar",
  computed: {
    isLogged: function() {
      return this.$store.getters.isAuthenticated;
    },
    user: function() {
      if (this.$store.getters.isAuthenticated) {
        return this.$store.getters.getUser;
      }
    }
  },
  methods: {
    isLoggedIn(state) {
      return state.isLoggedIn;
    },
    logout(evt) {
      evt.preventDefault();
      this.$store.dispatch("logout").then(() => {
        this.$router.push("/");
      });
    }
  }
};
</script>

<style>
#mainIndexNav {
  border-bottom: 1px solid rgba(33, 37, 41, 0.1);
  background-color: #ffffff;
  font-family: "Open Sans", "Helvetica Neue", Arial, sans-serif;
}

#mainIndexNav .navbar-brand {
  font-weight: 700;
  text-transform: uppercase;
  color: #2e808e;
  font-family: "Open Sans", "Helvetica Neue", Arial, sans-serif;
}

#mainIndexNav .navbar-brand:focus,
#mainIndexNav .navbar-brand:hover {
  color: #ecbb5b;
}

#mainIndexNav .navbar-nav > li.nav-item > a.nav-link,
#mainIndexNav .navbar-nav > li.nav-item > a.nav-link:focus {
  font-size: 0.9rem;
  font-weight: 700;
  text-transform: uppercase;
  color: #212529;
}

#mainIndexNav .navbar-nav > li.nav-item > a.nav-link:hover,
#mainIndexNav .navbar-nav > li.nav-item > a.nav-link:focus:hover {
  color: #ecbb5b;
}

@media (min-width: 992px) {
  #mainIndexNav {
    background: transparent;
    border-color: transparent;
  }
  #mainIndexNav .navbar-brand {
    color: #ffffff;
  }
  #mainIndexNav .navbar-nav > li.nav-item > a.nav-link {
    color: #ffffff;
  }
}
</style>
